
Ruby - Bug #3866

Multipart Form Parsing bug

09/23/2010 07:47 PM - engwan (Heinrich Lee Yu)

Status: Closed   

Priority: Normal   

Assignee: xibbar (Takeyuki FUJIOKA)   

Target version: 1.9.3   

ruby -v: Ruby 1.9.2p0 Backport:  

Description

=begin

Ruby 1.9.2p0 seems to have a problem similar to http://dev.rubyonrails.org/ticket/10886.

I tested the Rack multipart parser with the file provided in the link and it works properly. Maybe we can base our parser from theirs?

Rack has a better solution compared to the fix in the said ticket.

=end

Associated revisions

Revision 7fd78fad - 07/09/2011 05:32 AM - Takeyuki FUJIOKA 

lib/cgi/core.rb: fix multipart form parsing bug. [Bug #3866]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@32469 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 09/23/2010 09:11 PM - naruse (Yui NARUSE)

- Status changed from Open to Third Party's Issue

=begin

It's a problem of Rails, not Ruby.

=end

#2 - 09/24/2010 12:40 PM - engwan (Heinrich Lee Yu)

=begin

It's not. What I am referring to is the multipart parsing of cgi/core.rb

=end

#3 - 09/24/2010 01:19 PM - naruse (Yui NARUSE)

- Category set to lib

- Status changed from Third Party's Issue to Assigned

- Assignee set to xibbar (Takeyuki FUJIOKA)

- ruby -v set to Ruby 1.9.2p0

=begin

=end

#4 - 06/11/2011 03:21 PM - ko1 (Koichi Sasada)

Fujioka-san,

How about it?

#5 - 06/23/2011 03:53 PM - nahi (Hiroshi Nakamura)

- Assignee changed from xibbar (Takeyuki FUJIOKA) to nahi (Hiroshi Nakamura)

I take this since Fujioka-san must be busy for the meanwhile.

Can somebody point the new location of http://dev.rubyonrails.org/ticket/10886 ? I once posted a patch related to multipart form boundary parsing (
http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-dev/37506) and it might be the same issue.

#6 - 06/26/2011 05:25 PM - nahi (Hiroshi Nakamura)

- Target version set to 1.9.3

#7 - 06/28/2011 05:59 AM - nahi (Hiroshi Nakamura)

ruby-devでも救援募集です。

cgi.rbのmultipart-form周りで何か問題があるらしいんですが、参照先のRailsのチケット管理システムがなくなっている（移動した）らしく、詳細がわかりません。どなたか、コトの詳細をご存知のかた、もしくは

ttp://dev.rubyonrails.org/ticket/10886 の移動先が調べられるかたはいらっしゃいませんでしょうか。

よろしくお願いします。

（以下転送）

---------- Forwarded message ----------

From: Hiroshi NAKAMURA nakahiro@gmail.com

Date: Thu, Jun 23, 2011 at 15:53

Subject: [ruby-core:37310] [Ruby 1.9 - Bug #3866] Multipart Form Parsing bug

To: ruby-core@ruby-lang.org

Issue #3866 has been updated by Hiroshi NAKAMURA.

Assignee changed from Takeyuki Fujioka to Hiroshi NAKAMURA

I take this since Fujioka-san must be busy for the meanwhile.

Can somebody point the new location of

http://dev.rubyonrails.org/ticket/10886 ? I once posted a patch

related to multipart form boundary parsing

(http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-dev/37506) and

it might be the same issue.

Bug #3866: Multipart Form Parsing bug

http://redmine.ruby-lang.org/issues/3866

Author: Heinrich Lee Yu

Status: Assigned

Priority: Normal

Assignee: Hiroshi NAKAMURA

Category: lib

Target version:

ruby -v: Ruby 1.9.2p0

=begin

Ruby 1.9.2p0 seems to have a problem similar to

http://dev.rubyonrails.org/ticket/10886.

I tested the Rack multipart parser with the file provided in the link

and it works properly. Maybe we can base our parser from theirs?

Rack has a better solution compared to the fix in the said ticket.

=end

--

http://redmine.ruby-lang.org

#8 - 06/28/2011 05:59 AM - nahi (Hiroshi Nakamura)

ruby-devでも救援募集です。

cgi.rbのmultipart-form周りで何か問題があるらしいんですが、参照先のRailsのチケット管理システムがなくなっている（移動した）らしく、詳細がわかりません。どなたか、コトの詳細をご存知のかた、もしくは

ttp://dev.rubyonrails.org/ticket/10886 の移動先が調べられるかたはいらっしゃいませんでしょうか。

よろしくお願いします。

（以下転送）

---------- Forwarded message ----------

From: Hiroshi NAKAMURA nakahiro@gmail.com

Date: Thu, Jun 23, 2011 at 15:53

Subject: [ruby-core:37310] [Ruby 1.9 - Bug #3866] Multipart Form Parsing bug

To: ruby-core@ruby-lang.org
Issue #3866 has been updated by Hiroshi NAKAMURA.

Assignee changed from Takeyuki Fujioka to Hiroshi NAKAMURA

I take this since Fujioka-san must be busy for the meanwhile.

Can somebody point the new location of

http://dev.rubyonrails.org/ticket/10886 ? I once posted a patch

related to multipart form boundary parsing

(http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-dev/37506) and

it might be the same issue.

Bug #3866: Multipart Form Parsing bug

http://redmine.ruby-lang.org/issues/3866

Author: Heinrich Lee Yu

Status: Assigned

Priority: Normal

Assignee: Hiroshi NAKAMURA

Category: lib

Target version:

ruby -v: Ruby 1.9.2p0

=begin

Ruby 1.9.2p0 seems to have a problem similar to

http://dev.rubyonrails.org/ticket/10886.

I tested the Rack multipart parser with the file provided in the link

and it works properly. Maybe we can base our parser from theirs?

Rack has a better solution compared to the fix in the said ticket.

=end

--

http://redmine.ruby-lang.org

#9 - 06/28/2011 06:53 AM - ayokura (Yoshihiko Nagoya)

おはようございます。

ruby-devはたぶん初投稿なのではじめまして。

とりあえず、何はともあれweb.archive.orgで調べたらなんかでてきました。

http://web.archive.org/web/20090523081106/http://dev.rubyonrails.org/ticket/10886

内容は読んでないです。

お役に立てればうれしいです。

(11/06/28 5:55), Hiroshi Nakamura wrote:

ruby-devでも救援募集です。

cgi.rbのmultipart-form周りで何か問題があるらしいんですが、参照先のRailsのチケット管理システムがなくなっている（移動した）らしく、詳細がわかりません。どなたか、コトの詳細をご存知のかた、もしくは

ttp://dev.rubyonrails.org/ticket/10886 の移動先が調べられるかたはいらっしゃいませんでしょうか。

よろしくお願いします。

（以下転送）

---------- Forwarded message ----------

From: Hiroshi NAKAMURA nakahiro@gmail.com

Date: Thu, Jun 23, 2011 at 15:53

Subject: [ruby-core:37310] [Ruby 1.9 - Bug #3866] Multipart Form Parsing bug

To: ruby-core@ruby-lang.org

Issue #3866 has been updated by Hiroshi NAKAMURA.

Assignee changed from Takeyuki Fujioka to Hiroshi NAKAMURA

I take this since Fujioka-san must be busy for the meanwhile.
Can somebody point the new location of

http://dev.rubyonrails.org/ticket/10886 ? I once posted a patch

related to multipart form boundary parsing

(http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-dev/37506) and

it might be the same issue.

Bug #3866: Multipart Form Parsing bug

http://redmine.ruby-lang.org/issues/3866

Author: Heinrich Lee Yu

Status: Assigned

Priority: Normal

Assignee: Hiroshi NAKAMURA

Category: lib

Target version:

ruby -v: Ruby 1.9.2p0

=begin

Ruby 1.9.2p0 seems to have a problem similar to

http://dev.rubyonrails.org/ticket/10886.

I tested the Rack multipart parser with the file provided in the link

and it works properly. Maybe we can base our parser from theirs?

Rack has a better solution compared to the fix in the said ticket.

=end

--

http://redmine.ruby-lang.org

 --

筑波大学 情報学群 情報科学類

Univ.Tsukuba , College of Information Science .

名古屋謙彦

Yoshihiko Nagoya

y.nagoya@gmail.com

#10 - 06/28/2011 06:53 AM - ayokura (Yoshihiko Nagoya)

おはようございます。

ruby-devはたぶん初投稿なのではじめまして。

とりあえず、何はともあれweb.archive.orgで調べたらなんかでてきました。

http://web.archive.org/web/20090523081106/http://dev.rubyonrails.org/ticket/10886

内容は読んでないです。

お役に立てればうれしいです。

(11/06/28 5:55), Hiroshi Nakamura wrote:

ruby-devでも救援募集です。

cgi.rbのmultipart-form周りで何か問題があるらしいんですが、参照先のRailsのチケット管理システムがなくなっている（移動した）らしく、詳細がわかりません。どなたか、コトの詳細をご存知のかた、もしくは

ttp://dev.rubyonrails.org/ticket/10886 の移動先が調べられるかたはいらっしゃいませんでしょうか。

よろしくお願いします。

（以下転送）

---------- Forwarded message ----------

From: Hiroshi NAKAMURA nakahiro@gmail.com

Date: Thu, Jun 23, 2011 at 15:53

Subject: [ruby-core:37310] [Ruby 1.9 - Bug #3866] Multipart Form Parsing bug

To: ruby-core@ruby-lang.org

Issue #3866 has been updated by Hiroshi NAKAMURA.

Assignee changed from Takeyuki Fujioka to Hiroshi NAKAMURA
I take this since Fujioka-san must be busy for the meanwhile.

Can somebody point the new location of

http://dev.rubyonrails.org/ticket/10886 ? I once posted a patch

related to multipart form boundary parsing

(http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-dev/37506) and

it might be the same issue.

Bug #3866: Multipart Form Parsing bug

http://redmine.ruby-lang.org/issues/3866

Author: Heinrich Lee Yu

Status: Assigned

Priority: Normal

Assignee: Hiroshi NAKAMURA

Category: lib

Target version:

ruby -v: Ruby 1.9.2p0

=begin

Ruby 1.9.2p0 seems to have a problem similar to

http://dev.rubyonrails.org/ticket/10886.

I tested the Rack multipart parser with the file provided in the link

and it works properly. Maybe we can base our parser from theirs?

Rack has a better solution compared to the fix in the said ticket.

=end

--

http://redmine.ruby-lang.org

 --

筑波大学 情報学群 情報科学類

Univ.Tsukuba , College of Information Science .

名古屋謙彦

Yoshihiko Nagoya

y.nagoya@gmail.com

#11 - 06/28/2011 10:25 AM - nahi (Hiroshi Nakamura)

- Assignee changed from nahi (Hiroshi Nakamura) to xibbar (Takeyuki FUJIOKA)

Fujioka-san, thanks for your response. Please handle this.

Here's a ticket: http://web.archive.org/web/20090523081106/http://dev.rubyonrails.org/ticket/10886

And the patch: http://web.archive.org/web/20081015122057/http://dev.rubyonrails.org/changeset/9113

名古屋さん、ありがとうございました。助かります。

#12 - 06/28/2011 11:08 PM - xibbar (Takeyuki FUJIOKA)

http://blade.nagaokaut.ac.jp/cgi-bin/vframe.rb/ruby/ruby-dev/37506?37282-37744

と同じ問題のようですね。

#13 - 07/09/2011 02:32 PM - xibbar (Takeyuki FUJIOKA)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r32469.

Heinrich, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

lib/cgi/core.rb: fix multipart form parsing bug. [Bug #3866]
